<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\General\PasswordUpdateRequest;

class PasswordController extends Controller
{
    /**
     * Update the user's password.
     */
    public function update(PasswordUpdateRequest $request)
    {
        $request->user()->update([
            'password' => $request->password,
        ]);

        return response()->noContent();
    }
}
